package com.baoyin.credit.my.activity

import android.os.Bundle
import android.support.v4.widget.SwipeRefreshLayout
import android.support.v7.widget.LinearLayoutManager
import android.view.View
import com.baoyin.credit.R
import com.baoyin.credit.base.activity.TitleBarActivity
import com.baoyin.credit.my.action.EarlyRepayAction
import com.baoyin.credit.my.adapter.ToBePaidListAdapter
import com.baoyin.credit.my.bean.EarlyRepayListBean.EarlyRepayBean
import com.baoyin.credit.my.presenter.EarlyRepayPresenter
import com.baoyin.utils.Util
import kotlinx.android.synthetic.main.activity_to_be_paid.*

/**
 * 全部待还页面
 */
class ToBePaidActivity : TitleBarActivity(), ToBePaidListAdapter.OnItemClickListener,
        EarlyRepayAction,
        SwipeRefreshLayout.OnRefreshListener {

    var mAdapter: ToBePaidListAdapter? = null
    var linearLayoutManager: LinearLayoutManager? = null
    var mPresenter: EarlyRepayPresenter? = null
    private var earlyRepayList: MutableList<EarlyRepayBean> = ArrayList<EarlyRepayBean>()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_to_be_paid)

        mAdapter = ToBePaidListAdapter(this, this, earlyRepayList)
        linearLayoutManager = LinearLayoutManager(this)
        to_be_paid_list.layoutManager = linearLayoutManager
        to_be_paid_list.adapter = mAdapter
        mPresenter = EarlyRepayPresenter(this, this, xsdApp.getApplicationLoginInfo(this).getCustNo(), true)
        refresh_data.setOnRefreshListener(this)
    }

    /**
     * 获取待还列表成功
     */
    override fun getEarlyRepayListSuccess(earlyRepayBeanList: MutableList<EarlyRepayBean>?) {
        refresh_data.isRefreshing = false
        if (earlyRepayBeanList != null && earlyRepayBeanList.size > 0) {
            empty_view.visibility = View.GONE
            earlyRepayList.clear()
            earlyRepayList.addAll(earlyRepayBeanList)
            mAdapter!!.notifyDataSetChanged()
        } else {
            empty_view.visibility = View.VISIBLE
        }
    }

    /**
     * 列表点击事件
     */
    override fun onItemClick(position: Int) {
        val bundle = Bundle()
        bundle.putString("orderNo", earlyRepayList[position].orderNo)
        Util.startActivity(this, TobePaidDetailActivity::class.java, bundle)
    }

    /**
     * 刷新数据
     */
    override fun onRefresh() {
        mPresenter!!.getEarlyRepayList(xsdApp.getApplicationLoginInfo(this).getCustNo(), false)
    }
}
