package com.baoyin.credit.my.activity

import android.os.Bundle
import android.os.Handler
import android.os.Message
import android.text.Html
import android.widget.Toast
import com.baoyin.utils.DialogTitleUtils
import com.baoyin.credit.R
import com.baoyin.credit.base.activity.TitleBarActivity
import com.baoyin.preference.Constants
import com.baoyin.utils.Util
import com.byxf.utils.NumberUtil
import kotlinx.android.synthetic.main.activity_transfer_repay_info.*

class TransferRepayInfoActivity : TitleBarActivity() {

    companion object {
        const val MESSAGE_WHAT = 1001
        const val DELAY_TIME = 3000L
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_transfer_repay_info)

        tv_repay_money.text = NumberUtil.convertDoubleToString(intent.getDoubleExtra(Constants.TOTAL_MONEY, 0.00))
        tv_notice_info.text = Html.fromHtml(getString(R.string.str_transfer_notice))
        tv_bank_num.setOnLongClickListener {
            Util.copyToClipBoard(this, getString(R.string.str_bank_account_number))
            Toast.makeText(this, getString(R.string.str_bank_account_copy_succ), Toast.LENGTH_SHORT).show()
            true
        }

        ll_contact.setOnClickListener {
            if (Util.isWechatSupported(this)) {
                Util.jumpToWechat(this)
                Util.copyToClipBoard(this, getString(R.string.str_custom_bsbank))
                Toast.makeText(this, getString(R.string.str_custom_wechat_info), Toast.LENGTH_SHORT).show()
            } else {
                Toast.makeText(this, getString(R.string.str_custom_wechat_uninstall), Toast.LENGTH_SHORT).show()
            }
        }

        handler.sendEmptyMessageDelayed(MESSAGE_WHAT, DELAY_TIME)
    }

    private val handler: Handler = object : Handler() {
        override fun handleMessage(msg: Message?) {
            super.handleMessage(msg)
            when (msg?.what) {
                TransferRepayInfoActivity.MESSAGE_WHAT -> {
                    DialogTitleUtils.showDialogTitle(this@TransferRepayInfoActivity, getString(R.string.str_dialog_title), getString(R.string.str_transfer_details_tips))
                }
            }
        }
    }
}
